summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-04-21 07:53:10 +0200
committerHans de Graaff <graaff@gentoo.org>2019-04-21 07:54:15 +0200
commit4e6f41b9ab2bda5a325b30ec858e2a5b7046b0ad (patch)
treef1d5464d610c354418de81cffc446fe8ccbeb117 /dev-ruby/httparty
parentdev-ruby/httparty: amd64 stable (diff)
downloadgentoo-4e6f41b9ab2bda5a325b30ec858e2a5b7046b0ad.tar.gz
gentoo-4e6f41b9ab2bda5a325b30ec858e2a5b7046b0ad.tar.bz2
gentoo-4e6f41b9ab2bda5a325b30ec858e2a5b7046b0ad.zip
dev-ruby/httparty: add 0.17.0
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/httparty')
-rw-r--r--dev-ruby/httparty/Manifest1
-rw-r--r--dev-ruby/httparty/httparty-0.17.0.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-ruby/httparty/Manifest b/dev-ruby/httparty/Manifest
index 88c326c6cf5..d9cb7cb7cb8 100644
--- a/dev-ruby/httparty/Manifest
+++ b/dev-ruby/httparty/Manifest
@@ -1,2 +1,3 @@
DIST httparty-0.16.2.gem 89600 BLAKE2B 581b5fcadf59bb50864b2fa6d1aae220ff9881bba53363601c6e70c3291dc2cee351a8f42b1946ad516cdcab5a85b832e4260f04394e54255e0cd76bc6860d5e SHA512 13efbacb9ee0325fbb185279ca9f7ffcc0131189ccf98d9889c6a1b6bcfa04fd7cbc6d1393bffe69a5a813a2f54f70b5926e176305fa70480dd0902968c894d0
DIST httparty-0.16.4.gem 91136 BLAKE2B 07988ebd768d826753780d1ac0e1cbf26dd592f131af690b8873787dcb00a48553fb5abb8962eb948ed7a877e38faab3103d9be90ee9c9867cc304b7b1a709e0 SHA512 a3465234cdc6118396b385c482a44a0c6aabf37cb81d00186c4f004e63d7c692bf8783c72dad5702d347d2dbf5bd0b54e78fb4852c149851b27d65f886c3525a
+DIST httparty-0.17.0.gem 100352 BLAKE2B 49cdb05a5f0f0e6c6e31eae6541333892042227e29b53761636ebf608bca32665ecd0cc538cbc1baca3b0745b89b43a81fff8620e2d96017a60518f46fd9f303 SHA512 9aefaadf364dfe68e8d41cadc4652d0b40ef395d6b0506243a35e771106ca2cc0e9947e1676db39e6f034fd31bde16cc4fb759b78287830681d049ab39178cfb
diff --git a/dev-ruby/httparty/httparty-0.17.0.ebuild b/dev-ruby/httparty/httparty-0.17.0.ebuild
new file mode 100644
index 00000000000..2e236d4eb46
--- /dev/null
+++ b/dev-ruby/httparty/httparty-0.17.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Makes http fun! Also, makes consuming restful web services dead easy"
+HOMEPAGE="https://jnunemaker.github.com/httparty"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend 'dev-ruby/mime-types:3 >=dev-ruby/multi_xml-0.5.2'
+
+ruby_add_bdepend 'test? ( dev-ruby/webmock )'
+
+all_ruby_prepare() {
+ # Remove bundler
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/ s:^:#:' Rakefile || die
+
+ # Avoid test dependency on cucumber. We can't run the features since
+ # they depend on mongrel which is no longer packaged.
+ sed -i -e '/cucumber/I s:^:#:' Rakefile || die
+
+ # Avoid test dependency on simplecov
+ sed -i -e '/simplecov/I s:^:#:' \
+ -e '1i require "cgi"; require "delegate"' spec/spec_helper.rb || die
+
+ # Avoid test that works standalone but fails in the suite
+ sed -i -e '/calls block given to perform with each redirect/,/^ end/ s:^:#:' spec/httparty/request_spec.rb
+
+ # Avoid test that is not fully compatible with newer multi_xml
+ sed -i -e '/should be able parse response type xml automatically/askip "multi_xml"' spec/httparty_spec.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}